4
0

_sidebar.css 4.6 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280
  1. /*=== Tree */
  2. .tree {
  3. margin: 10px 0;
  4. &#sidebar {
  5. scrollbar-color: rgba(255,255, 0, 0.1) rgba(0, 0, 0, 0.05);
  6. scrollbar-color: color-mix(in srgb, var(--sid-font-color) 20%, transparent) color-mix(in srgb, var(--sid-font-color) 13%, transparent);
  7. }
  8. .tree-folder {
  9. border-bottom: 1px solid var(--sid-sep);
  10. box-shadow: inset -1px -11px 8px #0003;
  11. .tree-folder-title {
  12. padding: 0.75rem 1rem;
  13. background: var(--sid-bg);
  14. position: relative;
  15. font-size: 0.85rem;
  16. letter-spacing: 1px;
  17. font-weight: 700;
  18. text-transform: uppercase;
  19. button.dropdown-toggle {
  20. margin: -0.75rem 0.25rem -0.75rem -1rem;
  21. padding: 0.75rem 0 0.75rem 1rem;
  22. &:hover {
  23. .icon {
  24. filter: brightness(1.7) !important;
  25. transition: 0.1s linear;
  26. }
  27. }
  28. }
  29. .icon {
  30. margin-right: 0.5rem;
  31. }
  32. .title {
  33. background: inherit;
  34. color: var(--sid-font-color);
  35. &:hover {
  36. text-decoration: none;
  37. }
  38. }
  39. }
  40. &.active {
  41. .tree-folder-title {
  42. background: var(--sid-bg);
  43. font-weight: bold;
  44. }
  45. }
  46. .tree-folder-items {
  47. background: var(--sid-bg-alt);
  48. .item {
  49. font-size: 1rem;
  50. font-weight: 400;
  51. transition: all 0.15s ease-in-out;
  52. &.active {
  53. background: var(--sid-active);
  54. .dropdown li a {
  55. color: var(--main-font-color);
  56. &:hover {
  57. color: var(--sid-font-color);
  58. }
  59. }
  60. a {
  61. color: var(--sid-active-font);
  62. }
  63. }
  64. &:hover {
  65. background: var(--sid-bg-dark);
  66. }
  67. a {
  68. text-decoration: none;
  69. color: var(--sid-font-color);
  70. &.dropdown-toggle {
  71. .icon {
  72. margin-right: 0.25rem;
  73. }
  74. }
  75. }
  76. }
  77. }
  78. }
  79. }
  80. /*=== Buttons */
  81. .stick,
  82. .group {
  83. input, .btn {
  84. border-radius: 0;
  85. }
  86. .btn:first-child {
  87. border-radius: 5px 0 0 5px;
  88. }
  89. .btn:last-child, input:last-child, .dropdown:last-child > .btn {
  90. border-radius: 0 5px 5px 0;
  91. }
  92. .btn + .btn,
  93. .btn + input,
  94. .btn + .dropdown > .btn,
  95. input + .btn,
  96. input + input,
  97. input + .dropdown > .btn,
  98. .dropdown + .btn,
  99. .dropdown + input,
  100. .dropdown + .dropdown > .btn {
  101. border-left: 1px solid var(--grey-medium-light);
  102. }
  103. }
  104. .group > .btn:only-child,
  105. .group > .dropdown:only-child > .btn {
  106. border-radius: 5px;
  107. }
  108. .aside {
  109. background: var(--sid-bg);
  110. &.aside_feed {
  111. padding: 10px 0;
  112. text-align: center;
  113. background: var(--sid-bg);
  114. border-right: 1px solid var(--sid-sep);
  115. .tree-folder-title:hover button.dropdown-toggle .icon {
  116. filter: none;
  117. }
  118. }
  119. &.aside_feed .tree {
  120. margin: 10px 0 50px;
  121. }
  122. a:hover {
  123. .icon {
  124. filter: brightness(1.7);
  125. transition: 0.1s linear;
  126. }
  127. }
  128. }
  129. /* Sidebar des pages de configuration */
  130. /*=== Navigation */
  131. .nav-list {
  132. font-size: 1rem;
  133. .item.nav-header,
  134. .item {
  135. min-height: 2.5em;
  136. line-height: 2.5em;
  137. }
  138. .item {
  139. background: var(--sid-bg);
  140. min-height: 2.5em;
  141. line-height: 2.5em;
  142. &.nav-header {
  143. min-height: 2.5em;
  144. line-height: 2.5em;
  145. }
  146. a,
  147. .as-link {
  148. padding: 0 1rem;
  149. color: var(--sid-font-color);
  150. transition: all 0.15s ease-in-out;
  151. }
  152. a:hover,
  153. .as-link:hover {
  154. background: var(--sid-bg-dark);
  155. text-decoration: none;
  156. }
  157. &.active {
  158. background: var(--main-first);
  159. color: var(--white);
  160. a,
  161. .as-link {
  162. background: var(--main-first);
  163. color: var(--white);
  164. text-decoration: none;
  165. }
  166. }
  167. }
  168. .nav-header {
  169. padding: 0 1rem;
  170. font-weight: bold;
  171. color: var(--grey-dark);
  172. text-transform: uppercase;
  173. letter-spacing: 1px;
  174. }
  175. .nav-form {
  176. padding: 3px;
  177. text-align: center;
  178. }
  179. }
  180. /*=== Aside main page (categories) */
  181. .aside_feed .tree-folder-title > .title:not([data-unread="0"]) {
  182. width: calc(100% - 35px - 35px);
  183. }
  184. .aside.aside_feed .category .title:not([data-unread="0"])::after {
  185. margin: 0.75rem 0 0 0;
  186. background-color: var(--sid-pills);
  187. }
  188. .aside.aside_feed .feed .item-title:not([data-unread="0"])::after {
  189. margin: 0.5em 0 0 0;
  190. background-color: var(--sid-pills);
  191. }
  192. .feed.item.empty.active {
  193. background: var(--grey-dark);
  194. }
  195. .feed.item.error.active {
  196. background: var(--grey-dark);
  197. }
  198. .feed.item.empty,
  199. .feed.item.empty > a {
  200. color: var(--grey-dark);
  201. }
  202. .feed.item.error,
  203. .feed.item.error > a {
  204. color: var(--grey-dark);
  205. }
  206. .feed.item.empty.active,
  207. .feed.item.error.active,
  208. .feed.item.empty.active > a,
  209. .feed.item.error.active > a {
  210. color: var(--white);
  211. }
  212. .aside_feed .tree-folder-items .dropdown-menu::after {
  213. left: 2px;
  214. }
  215. .aside_feed .tree-folder-items .item .dropdown-target:target ~ .dropdown-toggle > .icon,
  216. .aside_feed .tree-folder-items .item:hover .dropdown-toggle > .icon,
  217. .aside_feed .tree-folder-items .item.active .dropdown-toggle > .icon {
  218. border-radius: 3px;
  219. }
  220. .aside_feed .stick #btn-add {
  221. border-left-color: var(--sid-bg);
  222. }